Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1090111 - lash FTBFS in rawhide
Summary: lash FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lash
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-22 15:38 UTC by Brent Baude
Modified: 2016-02-01 02:00 UTC (History)
4 users (show)

Fixed In Version: lash-0.5.4-19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 09:09:35 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-04-22 15:38:31 UTC
lash ftbfs in rawhide; build and root logs can be found at->
http://koji.fedoraproject.org/koji/taskinfo?taskID=6765286

Tail is as follows:

make[1]: Leaving directory `/builddir/build/BUILD/lash-0.5.4/icons'
Making install in pylash
make[1]: Entering directory `/builddir/build/BUILD/lash-0.5.4/pylash'
make[2]: Entering directory `/builddir/build/BUILD/lash-0.5.4/pylash'
test -z "/usr/lib64/python2.7/site-packages" || mkdir -p -- "/builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/python2.7/site-packages"
test -z "/usr/lib64/python2.7/site-packages" || mkdir -p -- "/builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/python2.7/site-packages"
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/builddir/build/BUILD/lash-0.5.4/pylash'
make[1]: Leaving directory `/builddir/build/BUILD/lash-0.5.4/pylash'
make[1]: Entering directory `/builddir/build/BUILD/lash-0.5.4'
make[2]: Entering directory `/builddir/build/BUILD/lash-0.5.4'
make[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/lib64/pkgconfig" || mkdir -p -- "/builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/pkgconfig"
 /usr/bin/install -c -m 644 'lash-1.0.pc' '/builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/pkgconfig/lash-1.0.pc'
make[2]: Leaving directory `/builddir/build/BUILD/lash-0.5.4'
make[1]: Leaving directory `/builddir/build/BUILD/lash-0.5.4'
+ rm -f /builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/share/info/dir
+ rm -f /builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/liblash.la
+ rm -f /builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/python2.7/site-packages/_lash.la
+ chmod -x /builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/python2.7/site-packages/lash.py
chmod: cannot access '/builddir/build/BUILDROOT/lash-0.5.4-18.fc21.x86_64/usr/lib64/python2.7/site-packages/lash.py': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.0YXwx7 (%install)
RPM build errors:
    bogus date in %changelog: Sun Jun 26 2006 Anthony Green <green@redhat.com> 0.5.1-5
    bogus date in %changelog: Sun Jun 26 2006 Anthony Green <green@redhat.com> 0.5.1-4
    bogus date in %changelog: Wed Feb 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-1

Comment 1 Jaromír Cápík 2014-04-22 16:04:36 UTC
Note: the missing file 'lash.py' is supposed to be generated by swig and the version bumped from swig-2.0.11-1.fc20 to swig-3.0.0-2.fc21 in between f20 and rawhide.

Comment 2 Jaromír Cápík 2014-04-22 16:09:47 UTC
CCing Jitka Plesnikova, who did the swig upgrade ...

Comment 3 Jaromír Cápík 2014-04-22 16:35:16 UTC
The following 111 packages depend on 'swig' ... I believe, that the swig upgrade might be too invasive and unless majority of the packages can be rebuilt without problems using the swig 3.0.0 (current), I believe the swig should be downgraded to 2.0.12 (stable) and a new package called 'swig3' introduced in parallel ...

adonthell-0:0.3.5-1.fc21.src
amanda-0:3.3.3-11.fc21.src
apt-0:0.5.15lorg3.95-9.git522.1.fc20.src
aubio-0:0.3.2-14.fc21.src
audit-0:2.3.6-1.fc21.src
bolzplatz2006-0:1.0.3-25.fc20.src
canl-c++-0:1.0.1-1.fc21.src
cmpi-bindings-0:0.9.5-5.fc21.src
comedilib-0:0.8.1-13.fc21.src
coot-0:0.7.2-1.fc21.src
csound-0:5.19.01-1.fc20.src
cvc4-0:1.3-4.fc21.src
ecryptfs-utils-0:103-4.fc21.src
eucalyptus-0:3.3.0-0.5.20130408git32052445.fc20.src
fife-2:0.3.3r3-8.fc20.src
fityk-0:1.2.1-1.fc21.src
gdal-0:1.10.1-6.fc21.src
gdcm-0:2.4.2-1.fc21.src
gfal-0:1.16.0-3.fc21.src
ghmm-0:0.7-10.svn2286.fc20.src
gnucash-0:2.6.3-1.fc21.src
gnuradio-0:3.7.3-2.fc21.src
gr-air-modes-0:0-0.21.20140312gitcc0fa180.fc21.src
gr-osmosdr-0:0.1.1-9.20130729git9dfe3a63.fc21.src
graphviz-0:2.38.0-2.fc21.src
grass-0:6.4.3-5.fc21.src
hamlib-0:1.2.15.3-6.fc21.src
hugin-0:2013.0.0-5.fc21.src
ibutils-0:1.5.7-10.fc20.src
iguanaIR-0:1.0.5-2.fc20.src
input-pad-0:1.0.3-1.fc21.src
konkretcmpi-0:0.9.2-1.fc21.src
lash-0:0.5.4-18.fc20.src
lasso-0:2.4.0-1.fc21.src
lcg-util-0:1.16.0-2.fc21.src
lcgdm-0:1.8.8-4.fc21.src
lcms-0:1.19-11.fc21.src
ldns-0:1.6.17-2.fc21.src
lhapdf-0:5.9.1-4.fc21.src
libbatch-0:2.1.0-3.fc21.src
libcap-ng-0:0.7.3-6.fc21.src
libconcord-0:1.1-1.fc21.src
libdigidocpp-0:0.3.0-20.fc20.src
libftdi-0:0.20-5.fc20.src
libgpod-0:0.8.3-1.fc21.src
libhid-0:0.2.17-14.fc20.src
libhocr-0:0.10.17-16.fc21.src
libimobiledevice-0:1.1.5-3.fc20.src
libkdtree++-0:0.7.0-6.fc20.src
libkolabxml-0:1.0.1-2.fc21.src
libopensync-1:0.22-14.fc20.src
libpfm-0:4.4.0-5.217.gbca43a5.fc21.src
libplist-0:1.10-2.fc20.src
libselinux-0:2.2.2-6.fc21.src
libsemanage-0:2.2-3.fc21.src
libsolv-0:0.6.0-0.git05baf54.fc21.src
libteam-0:1.10-1.fc21.src
libwebp-0:0.4.0-3.fc21.src
libwfut-0:0.2.2-6.fc21.src
libyui-bindings-0:1.0.2-10.fc21.src
lilv-0:0.18.0-2.fc21.src
m2crypto-0:0.21.1-15.fc21.src
mapserver-0:6.2.1-5.fc21.src
marisa-0:0.2.4-4.fc20.src
mathgl-0:2.2.1-4.fc21.src
mypaint-0:1.1.0-1.fc20.src
nordugrid-arc-0:4.0.0-1.fc21.src
obexftp-0:0.24-1.fc21.src
openbabel-0:2.3.2-2.fc20.src
opencv-0:2.4.7-5.fc21.src
openscap-0:1.0.8-1.fc21.src
openwsman-0:2.4.4-1.fc21.src
owfs-0:2.9p1-5.fc20.src
perl-qpid-0:0.26-2.fc21.src
perl-qpid_proton-0:0.6-3.fc21.src
player-0:3.0.2-34.fc21.src
plplot-0:5.10.0-3.fc21.src
pybox2d-0:2.0.2b2-10.fc20.src
pycdio-0:0.19-3.fc21.src
pygsl-0:0.9.5-10.fc20.src
pyifp-0:0.2.2-8.fc20.src
pypop-0:0.7.0-11.fc20.src
python-libarchive-0:3.1.2.1-3.fc21.src
python-m2ext-0:0.1-4.fc20.src
python-openhpi-0:1.2-0.9.20120322svn7120.fc20.src
python-pivy-0:0.5.0-6.hg609.fc20.src
python-qpid_messaging-0:0.26-1.fc21.src
python-ufc-0:2.1.0-5.fc20.src
qpid-proton-0:0.6-2.fc21.src
qpid-qmf-0:0.24-16.fc21.src
redland-bindings-0:1.0.16.1-5.fc20.src
saga-0:2.1.1-1.fc21.src
saslwrapper-0:0.16-5.fc20.src
scipy-0:0.13.3-2.fc21.src
sdljava-0:0.9.1-24.fc21.src
setools-0:3.3.7-41.fc21.src
shogun-0:3.2.0.1-0.12.git20140317.6ee3991.fc21.src
skf-0:1.99.8-1.fc21.src
solfege-0:3.22.2-1.fc21.src
stfl-0:0.22-5.fc20.src
subversion-0:1.8.8-1.fc21.src
unbound-0:1.4.22-1.fc21.src
urjtag-0:0.10-5.fc21.20111215gite1a4227.src
vips-0:7.38.5-2.fc21.src
xrootd-1:3.3.6-1.fc21.src
zarafa-0:7.1.8-3.fc21.src
znc-0:1.2-3.fc21.src
zorba-0:3.0.0-1.fc21.src

Comment 4 Jaromír Cápík 2014-04-22 16:39:43 UTC
I filtered just the packages where the latest build is f20 ... these 31 packages might fail due to the swig upgrade and need to be checked ...

apt-0:0.5.15lorg3.95-9.git522.1.fc20.src
bolzplatz2006-0:1.0.3-25.fc20.src
csound-0:5.19.01-1.fc20.src
eucalyptus-0:3.3.0-0.5.20130408git32052445.fc20.src
fife-2:0.3.3r3-8.fc20.src
ghmm-0:0.7-10.svn2286.fc20.src
ibutils-0:1.5.7-10.fc20.src
iguanaIR-0:1.0.5-2.fc20.src
lash-0:0.5.4-18.fc20.src
libdigidocpp-0:0.3.0-20.fc20.src
libftdi-0:0.20-5.fc20.src
libhid-0:0.2.17-14.fc20.src
libimobiledevice-0:1.1.5-3.fc20.src
libkdtree++-0:0.7.0-6.fc20.src
libopensync-1:0.22-14.fc20.src
libplist-0:1.10-2.fc20.src
marisa-0:0.2.4-4.fc20.src
mypaint-0:1.1.0-1.fc20.src
openbabel-0:2.3.2-2.fc20.src
owfs-0:2.9p1-5.fc20.src
pybox2d-0:2.0.2b2-10.fc20.src
pygsl-0:0.9.5-10.fc20.src
pyifp-0:0.2.2-8.fc20.src
pypop-0:0.7.0-11.fc20.src
python-m2ext-0:0.1-4.fc20.src
python-openhpi-0:1.2-0.9.20120322svn7120.fc20.src
python-pivy-0:0.5.0-6.hg609.fc20.src
python-ufc-0:2.1.0-5.fc20.src
redland-bindings-0:1.0.16.1-5.fc20.src
saslwrapper-0:0.16-5.fc20.src
stfl-0:0.22-5.fc20.src

Comment 5 Jitka Plesnikova 2014-04-23 09:59:04 UTC
SWIG 3.0.0 is the latest stable version. Current release doesn't mean unstable.

I admit my fault that I should rebuilt all packages which depend on swig.
I'll do it now. 

However, lash didn't failed due to swig changes. 
The problem is with version check configure* files. 
I checked the build.log and found this curious log, which helped me to find the right reason of failure.

checking for swig... /usr/bin/swig
checking for SWIG version... 3.0.0
configure: WARNING: SWIG version >= 2.0.0 is required.  You have 3.0.0.  You should look at http://www.swig.org

The configure* files are already hacked at spec to work for 2.0.0.

# Hack to build against newer swig
sed -i 's|1.3.31|2.0.0|g' configure*

I tried to update the hack to 3.0.0, and the lash was built.

I think it is easy fix.
I don't see any reason to downgraded the swig to 2.0.12 for now.
I maybe change my mind when I finish the rebuild.


Note You need to log in before you can comment on or make changes to this bug.